<div class="cs-list-heading-light">
  <app-breadcrumb [items]="breadcrumbItems"></app-breadcrumb>
  <span class="header-h1 cs-list-heading-light-header">{{ 'app.main.menu.users' | translate }}</span>
  <span class="cs-list-heading-light-description">{{ 'app.main.header.users' | translate }}</span>
  <div class="eui-u-flex eui-u-mb-m" *ngIf="displayTopBtns.length > 0">
    <button
      *ngFor="let btn of displayTopBtns; trackBy: trackByFn; let idx = index"
      (click)="handleTopBtnClicked(btn)"
      euiButton
      euiPrimary
      euiOutline="{{ btn.outline }}"
      class="cs-list-heading-light-button {{ idx > 0 ? 'eui-u-ml-m' : '' }}">
      <eui-icon-svg class="eui-u-mr-s" icon="{{ btn.icon }}" set="outline" size="m" fillColor="grey-100"></eui-icon-svg>
      {{ btn.key | translate }}
    </button>
  </div>
</div>
<div class="cs-list-light-wrapper">
  <app-user-list
    [userCountry]="userCountry"
    [userPermissions]="userPermissions"
    [roles]="roles"
    [userId]="userId"
    [saveFilter]="listFilterEnum.USER_LIST"
    [tableSettings]="tableSettings"
    [tableDataOptions]="tableDataOptions"
    (rowAction)="handleRowAction($event)"></app-user-list>
</div>
